debug(3)

NAME
debug - Debug Macros

SYNOPSIS

  Macros

#define MDB_DEBUG 0
#define MDB_DBG_INFO 1
#define MDB_DBG_TRACE 2
#define DPRINTF(args)
#define MDB_TRACE(args)
#define DPUTS(arg)
#define DDBI(mc)

Detailed Description

Macro Definition Documentation

  #define MDB_DEBUG 0
Enable debug output. Needs variable argument macros (a C99 feature). Set this to 1 for copious tracing. Set to 2 to add dumps of all IDLs read from and written to the database (used for free space management).

  #define DPRINTF( args)
Value:
((void) 0)

  #define MDB_TRACE( args)
Value:
((void) 0)

  #define DPUTS( arg)
Value:
DPRINTF(("%s", arg))

Print a debug string. The string is printed literally, with no format processing.

  #define DDBI( mc)
Value:
    (((mc)->mc_flags & C_SUB) ? -(int)(mc)->mc_dbi : (int)(mc)->mc_dbi)

Debugging output value of a cursor DBI: Negative in a sub-cursor.

Author

Generated automatically by Doxygen for LMDB from the source code.